CLAM_LV2_GENERATOR(1)

NAME
clam_lv2_generator - Generates files for CLAM based LV2 plugins

SYNOPSIS
clam_lv2_generator [options] network1 network2...

DESCRIPTION
This script generates different files needed to build LV2 plugin bundles based on the information provided by a set of CLAM networks. The script can be used in three modes: 'manifest' to generate the main metadata index for the bundle, 'ttls' to generate a set of ttl's for each plugin in the buncle, and, 'main' to generate the main source file of the library. If you are using SCons, clam provides builders to generate all those files. See the LV2 clam example for more information on how to use it.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-m, --manifest
    Generates the manifest file

-t, --ttl
    Generates ttl files for each network

-i, --main
    Generates the main C++ file for the plugin library

-u URIBASE, --uribase=URIBASE
    Specifies the uri base for the plugins

-d DOAPFILE, --doap=DOAPFILE
    Specifies a doapfile with additional info when generating a ttl

-y LIBBINARY, --binary=LIBBINARY
    Provides a name for the library binary (required by --ttls)

-g UIBINARY, --gui-binary=UIBINARY
    Provides a name for a ui library binary for the plugin in the ttl

AUTHOR
Written by Xavier Oliver, David Garcia Garzon and Angelo Scorza.

COPYRIGHT
Copyright © 2010, Fundacio Barcelona Media.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Licence GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl2.html>